Git::Raw::Rebase::Operation(3pm)

NAME
Git::Raw::Rebase::Operation - Git rebase operation class

VERSION
version 0.90

DESCRIPTION
A Git::Raw::Rebase::Operation represents a git rebase operation.

WARNING: The API of this module is unstable and may change without warning (any change will be appropriately documented in the changelog).

METHODS

  type( )
The type of rebase operation.

  id( )
The commit ID being cherry-picked. This will return "undef" for "EXEC" operations.

  exec( )
The executable the user has requested to run. This will return "undef" for all but "EXEC" operations.

CONSTANTS

  PICK
The given commit is to be cherry-picked. The client should commit the changes and continue if there are no conflicts.

  REWORD
The given commit is to be cherry-picked, but the client should prompt the user to provide an updated commit message.

  EDIT
The given commit is to be cherry-picked, but the client should stop to allow the user to edit the changes before committing them.

  SQUASH
The given commit is to be squashed into the previous commit. The commit message will be merged with the previous message.

  FIXUP
The given commit is to be squashed into the previous commit. The commit message from this commit will be discarded.

  EXEC
No commit will be cherry-picked. The client should run the given command and (if successful) continue.

AUTHOR
Jacques Germishuys <jacquesg@cpan.org>

LICENSE AND COPYRIGHT
Copyright 2016 Jacques Germishuys.

This program is free software; you can redistribute it and/or modify it under the terms of either: the GNU General Public License as published by the Free Software Foundation; or the Artistic License.

See http://dev.perl.org/licenses/ for more information.